GET
/public/v1/projects/{projectId}/models
curl \
--request GET 'https://live.smartpmtech.com/public/v1/projects/{projectId}/models' \
--header "X-API-KEY: $API_KEY" \
--header "X-COMPANY-ID: string"
Response examples (200)
[
{
"id": 42,
"name": "string",
"projectId": 42,
"description": "string",
"isAutoUpdate": true,
"isOriginalModel": true,
"isArchived": true,
"modelImportLogIds": [
42
],
"modelBaseRuleIds": [
42
],
"modelType": "BASELINE",
"initialDataDate": "2026-05-04T09:42:00Z",
"status": "COMPLETE"
}
]